/**
класс objFilelist
формирование массива фотографий внутрь filelist
==============================================================================================
функции класса: 
build() - сборка всех функций для построения  
generate_item_filelist() - генерация элемента filelist
switch_files() - перебор массива для фоток, ВРЕМЕННАЯ ФУНКЦИЯ
redraw_canvas() - перерисовка канвы при добавлении новой фотографии
resize_pic изменение() - размеров иконок файлов
make_tru_size_content() - true size content
 ==============================================================================================
(c) Mychko Eduard, 2015, Moscow, Russia, eduard.mychko@gmail.com
==============================================================================================
*/
 
 var objFilelist = {
	
	 
	
	/*-----------------------------сборка функций filelist-----------------------------*/
	build: function(){
		this.make_tru_size_content();
		//this.switch_files();
		
		this.redraw_canvas();
		this.resize_pic();
 		return false;
	},
	
 
	
	 
	
	/*-----------------------------генерация элемента filelist-----------------------------*/
	generate_item_filelist: function(filename){
		if (filename != undefined){
			$("#no_image").hide();
			var a = filename.split('/');
			var fileWithoutPath =  a[a.length-1];
			var item = '<div class="content-toolbar-tabs-images-content-item pointer tooltip"'+ 
				' data="'+filename+'"'+
				' tooltip="'+fileWithoutPath+'"'+
				' title="'+fileWithoutPath+'"'+
				' style=\'background-image: url("file:///'+filename+'");\'><input type="checkbox" class="checkbox-images"></div>';
		}else{
			var item = "";
		}
		return item;
	}, 
	
	/*-----------------------------перебор массива для фоток, ВРЕМЕННАЯ ФУНКЦИЯ-----------------------------*/
	switch_files: function(filelist){
		for(var i = 0; i < filelist.length; i++){
			var item = this.generate_item_filelist(filelist[i]);
			//console.log(item);
			$('#images_list').append(item);
		}
		objHelpers.add_scrollbar($('#images_list'));
		return false;
	},
	
	/*-----------------------------перерисовка канвы при добавлении новой фотографии-----------------------------*/
	redraw_canvas: function(){	
		$('body').on('click', '.content-toolbar-tabs-images-content-item', function(){
			var img = $(this).attr('data');
			objMeasurement.addPicture(img);  /*формируем канву заново с новым изображением*/
		});
		return false;
	},
	
	/*-----------------------------изменение размеров иконок файлов-----------------------------*/
	resize_pic: function(){
		$('body').on('click','#images-resizefile', function(){
			$item = $('.content-toolbar-tabs-images-content-item');
			$count = $('#content-toolbar-tabs-images-resizefile-hidden');
			var width = $item.width();
			var height = $item.height();
			var n = 25;
			if ($count.val()=='0'){
				if (width >= 48){
					width = width - n;
					height = height - n;
				}else{
					$count.val('1');
					width = width + n;
					height = height + n;
				}
			}else{
				if (width <= 68){
					width = width + n;
					height = height + n;
				}else{
					$count.val('0');
					width = width - n;
					height = height - n;
				}
			}
			
			$item.css('width',width);
			$item.css('height',height);
		});
		return false;
	},
	
	
	/*-----------------------------true size content-----------------------------*/
	make_tru_size_content: function(){
		var height = $('#content-measurement-list').height();
		$('.content-toolbar-tabs').height(height-37);
		$('.content-toolbar-tabs-content').height(height-96);
		return false;
	},
	
 };
 
 
	
	
	
	
	
	
	
	
 